<?php get_header(); ?>
<?php $options = get_option('ctn1_options'); ?>	
	<div id="content" class="narrowcolumn">
	<div class="category">
		<div class="location"><h2><?php _e('Location: ', 'ctn1'); ?><a href="<?php echo get_option('home'); ?>/"><?php _e('Home', 'ctn1'); ?></a> &raquo; <?php _e('Search Results', 'ctn1'); ?></h2></div>
		<ul>	
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>	
			<li id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'ctn1'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a><span><?php the_time(__('y-m-d', 'ctn1')) ?></span></li>
	<?php endwhile; ?>
		</ul>
	<?php wp_reset_query(); ?>	
		<?php if (function_exists('wp_pagenavi')) : ?>
		<div class="navigation">
			<?php wp_pagenavi(); ?>
		</div>
		<?php else : ?>	
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'ctn1')); ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'ctn1')); ?></div>
		</div>
		<?php endif; ?>
	<?php else : ?>
		<h2 class="center"><?php _e('No posts found. Try a different search?', 'ctn1'); ?></h2>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>
	<?php endif; ?>
	</div>	
	
<?php if ($options['adhome'] && $options['adhome_code']) : ?>
	<div class="adhome"><?php echo($options['adhome_code']); ?></div>
<?php endif; ?>

	<?php if (function_exists('get_post_image_list')) : ?>
		<div class="piclist">
			<div class="title"><h2><?php _e('Radom Photo', 'ctn1'); ?></h2></div>
			<?php get_post_image_list($image_number = 6,$thumb_width = 100,$thumb_height = 100,$type="radom"); ?>
		</div>
	<?php endif; ?>	
	</div><!-- /content -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>