<?php $options = get_option('ctn1_options'); ?>
	<div id="sidebar">
		<ul>
		<?php if ($options['notice'] && $options['notice_content']) { ?>
			<li id="notice" class="widget widget_notice"><h2 class="widgettitle"><?php _e('Notice', 'ctn1'); ?></h2>
				<p><?php echo($options['notice_content']); ?></p>
			</li>	
		<?php } else { ?>
			<li id="notice" class="widget widget_notice"><h2 class="widgettitle"><?php _e('Notice', 'ctn1'); ?></h2>
				<p><?php _e('No notice, please login in to add.', 'ctn1'); ?></p>
			</li>		
		 <?php } ?>

	<?php if ($options['adside'] && $options['adside_code']) : ?>
		<li id="adside" class="widget widget_adside"><?php echo($options['adside_code']); ?></li>
	<?php endif; ?>
		
		<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>	
			<?php if ( function_exists('wp_tag_cloud') ) : ?>
			<li id="tag_cloud" class="widget widget_tag_cloud"><h2 class="widgettitle"><?php _e('Tags', 'ctn1'); ?></h2>
				<?php wp_tag_cloud('number=30'); ?> 
			</li>
			<?php endif; ?>

			<li id="recent-posts" class="widget widget_recent_entries"><h2 class="widgettitle"><?php _e('Recent Comments', 'ctn1'); ?></h2>
				<ul>
					<?php get_new_comment_list($comment_nums = 5); ?>
				</ul>
			</li>
			
			<?php if (function_exists('get_most_viewed')): ?>
			<li id="recent-posts" class="widget widget_recent_entries"><h2 class="widgettitle"><?php _e('Most Views', 'ctn1'); ?></h2>
				<ul>
					<?php get_most_viewed('post', 5); ?>
				</ul>
			</li>
			<?php endif; ?> 

			<li id="meta" class="widget widget_meta"><h2 class="widgettitle"><?php _e('Meta', 'ctn1'); ?></h2>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<li><a href="http://validator.w3.org/check/referer" title="<?php _e('This page validates as XHTML 1.0 Transitional', 'ctn1'); ?>"><?php _e('Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr>', 'ctn1'); ?></a></li>
					<li><a href="http://gmpg.org/xfn/"><abbr title="<?php _e('XHTML Friends Network', 'ctn1'); ?>"><?php _e('XFN', 'ctn1'); ?></abbr></a></li>
					<li><a href="http://wordpress.org/" title="<?php _e('Powered by WordPress', 'ctn1'); ?>">WordPress</a></li>
					<?php wp_meta(); ?>
				</ul>
			</li>
		<?php endif; ?>
		</ul>
	</div><!-- /sidebar -->