<?php get_header(); ?>
<?php $options = get_option('ctn1_options'); ?>	
	<div id="content" class="narrowcolumn">
	<div class="category">
		<div class="location"><h2><?php _e('Location: ', 'ctn1'); ?><a href="<?php echo get_option('home'); ?>/"><?php _e('Home', 'ctn1'); ?></a> &gt;&gt; <?php if (is_category()) { ?><?php echo(get_category_parents($cat, TRUE, ' &gt;&gt; ')); ?><?php } else { ?><?php the_category(','); } ?></h2></div>
		<ul>	
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>	
			<li id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'ctn1'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a><span><?php the_time(__('y-m-d', 'ctn1')) ?></span></li>
	<?php endwhile; ?>
		</ul>
	<?php wp_reset_query(); ?>	
		<?php if (function_exists('wp_pagenavi')) : ?>
		<div class="navigation">
			<?php wp_pagenavi(); ?>
		</div>
		<?php else : ?>	
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'ctn1')); ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'ctn1')); ?></div>
		</div>
		<?php endif; ?>
	<?php else :
		if ( is_category() ) { // If this is a category archive
			printf("<h2 class='center'>".__("Sorry, but there aren't any posts in the %s category yet.", 'ctn1').'</h2>', single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo('<h2>'.__("Sorry, but there aren't any posts with this date.", 'ctn1').'</h2>');
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h2 class='center'>".__("Sorry, but there aren't any posts by %s yet.", 'ctn1')."</h2>", $userdata->display_name);
		} else {
			echo("<h2 class='center'>".__('No posts found.', 'ctn1').'</h2>');
		}
	  	get_search_form();
	endif; ?>
	</div>	
	
<?php if ($options['adhome'] && $options['adhome_code']) : ?>
	<div class="adhome"><?php echo($options['adhome_code']); ?></div>
<?php endif; ?>

	<?php if (function_exists('get_post_image_list')) : ?>
		<div class="piclist">
			<div class="title"><h2><?php _e('Radom Photo', 'ctn1'); ?></h2></div>
			<?php get_post_image_list($image_number = 6,$thumb_width = 100,$thumb_height = 100,$type="radom"); ?>
		</div>
	<?php endif; ?>
	</div><!-- /content -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>