<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php wp_title(' | ', true, 'right'); ?><?php bloginfo('name'); ?></title>

<?php $options = get_option('ctn1_options'); ?>
<?php if (is_single()) {
	$description =  $post->post_title;
	$keywords = "";
	$tags = wp_get_post_tags($post->ID);
	foreach ($tags as $tag ) {
		$keywords = $keywords . $tag->name . ", ";
	}
} else { 
	$description = $options['description'];
	$keywords = $options['keywords'];
} ?>
<?php if($options['feed'] && $options['feed_url']) {
	if (substr(strtoupper($options['feed_url']), 0, 7) == 'HTTP://') {
		$feed = $options['feed_url'];
	} else {
		$feed = 'http://' . $options['feed_url'];
	}
} else {
	$feed = get_bloginfo('rss2_url');
} ?>
<meta name="keywords" content="<?php echo $keywords; ?>" />
<meta name="description" content="<?php echo $description; ?>" />

<?php if ( !(is_home()) and !(is_single()) ) { ?><meta name="Googlebot" content="noindex,follow" /><?php }?>
<link rel="shortcut icon" type="image/ico" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicon.ico" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php printf(__('%s RSS Feed', 'ctn1'), get_bloginfo('name')); ?>" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php printf(__('%s Atom Feed', 'ctn1'), get_bloginfo('name')); ?>" href="<?php bloginfo('atom_url'); ?>" /> 
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?> 

<?php wp_head(); ?>
</head>
<body>
<div id="header">
	<div id="headerimg">
		<h1><a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a></h1>
	<?php if ($options['adhead'] && $options['adhead_code']) : ?>
		<div class="adhead"><?php echo($options['adhead_code']); ?></div>
	<?php endif; ?>
	</div>
</div><!-- /header -->

<div id="nav">
	<ul class="menu">
		<li<?php if ( is_home()) { ?> class="current-cat"<?php } ?>><a href="<?php echo get_option('home'); ?>/"><?php _e('Home', 'ctn1'); ?></a></li>
		<?php wp_list_categories('title_li=&depth=1&orderby=id'); ?>
		<li class="feedrss"><a target="_blank" title="<?php _e('Subscribe to this blog', 'ctn1'); ?>" href="<?php echo $feed; ?>"><?php _e('RSS 2.0', 'ctn1'); ?></a></li>
	</ul>

<?php if ( is_category() ) {
$cat = get_query_var('cat');
$child_cats = get_categories('child_of='.$cat);
	if ($child_cats) {
	$args = array(
		'title_li' => '',
		'echo' => 1,
		'child_of' => $cat
		);
	echo '<ul class="submenu">';
	wp_list_categories($args); 
	echo '</ul>';
	}
} ?>

</div><!-- /menu -->

<div id="page">