<?php get_header(); ?>
<?php $options = get_option('ctn1_options'); ?>
	<div id="content" class="homecolumn">
		<div id="MainPromotionBanner">
		<?php if (function_exists('slides_pic')) : ?>
			<script src="<?php bloginfo('stylesheet_directory'); ?>/js/yu.js" type="text/javascript"></script>
			<script src="<?php bloginfo('stylesheet_directory'); ?>/js/tb.js" type="text/javascript"></script>
				<div id="SlidePlayer">
					<?php slides_pic($pic_no = 3,$type="recent"); ?>
				</div>
			<script type="text/javascript">
				TB.widget.SimpleSlide.decoration('SlidePlayer', {eventType:'mouse', effect:'scroll'});
			</script>
		<?php endif; ?>
		</div>
						
		<div class="topnews">
			<div class="title"><h2><?php _e('News Info', 'ctn1'); ?></h2></div>
			<?php query_posts('showposts=3');  while (have_posts()) : the_post(); ?>
			<dl>
				<dt><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></dt>
				<dd><?php echo mb_strimwidth(strip_tags(apply_filters('the_content', $post->post_content)), 0, 150,"......"); ?></dd>
			</dl>
			<?php endwhile; ?>
		</div>	

	<?php if ($options['adhome'] && $options['adhome_code']) : ?>
		<div class="adhome"><?php echo($options['adhome_code']); ?></div>
	<?php endif; ?>
		
	<?php $display_categories = array(1,3,4,5,6,7); foreach ($display_categories as $category) { ?>
		<div class="catlist">
		<?php query_posts("showposts=6&cat=$category"); $wp_query->is_category = false; $wp_query->is_archive = false; $wp_query->is_home = true; ?>
			<div class="title"><h2><?php single_cat_title(); ?></h2><a class="more" href="<?php echo get_category_link($category);?>"><?php _e('More &raquo;', 'ctn1'); ?></a></div>
			<ul>
				<?php if (have_posts()) : ?>
				<?php while (have_posts()) : the_post(); ?>
					<li><a href="<?php the_permalink() ?>"><?php the_title(); ?></a><span><?php the_time(__('y-m-d', 'ctn1')) ?></span></li>
				<?php endwhile; ?>
					<?php else : ?><p class="center"><?php _e('No posts in this Category', 'ctn1'); ?></p>
				<?php endif; ?>
			</ul>
		</div>
	<?php } ?>

	<?php if (function_exists('get_post_image_list')) : ?>
		<div class="piclist">
			<div class="title"><h2><?php _e('Recent Photo', 'ctn1'); ?></h2></div>
			<?php get_post_image_list($image_number = 6,$thumb_width = 100,$thumb_height = 100,$type="recent"); ?>
		</div>
	<?php endif; ?>		
	</div><!-- /content -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>