<?php
/*
Template Name: Links
*/
?>
<?php get_header(); ?>
	<div id="content" class="widecolumn">
	<div class="single">
		<div class="location"><h2><?php _e('Location: ', 'ctn1'); ?><a href="<?php echo get_option('home'); ?>/"><?php _e('Home', 'ctn1'); ?></a> &raquo; <?php _e('Links', 'ctn1'); ?></h2></div>
		
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>">
		<h2><?php the_title(); ?></h2>
			<div class="entry">
				<?php the_content('<p class="serif">' . __('Read the rest of this page &raquo;', 'ctn1') . '</p>'); ?>
				<?php wp_link_pages(array('before' => '<p><strong>' . __('Pages:', 'ctn1') . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
			</div>
			
			<?php edit_post_link(__('Edit this entry.', 'ctn1'), '<p>', '</p>'); ?>
		</div>
		<?php endwhile; endif; ?>
		<div class="pages">
			<ul>
				<?php wp_list_bookmarks(); ?>
			</ul>
		</div>
	</div>
	</div><!-- /content -->
<?php get_footer(); ?>