<?php get_header(); ?>
<?php $options = get_option('ctn1_options'); ?>	
	<div id="content" class="narrowcolumn">
	<div class="single">
		<div class="location"><h2><?php _e('Location: ', 'ctn1'); ?><a href="<?php echo get_option('home'); ?>/"><?php _e('Home', 'ctn1'); ?></a> &gt;&gt; <?php the_category(','); ?> &gt;&gt; <?php _e('Details', 'ctn1'); ?><a class="contribute" href="/contribute">contribute</a></h2></div>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'btn1'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h2>

			<p class="postmetadata">
				<?php printf(__('Posted on %1$s at %2$s | ', 'ctn1'), get_the_time(__('Y-m-d', 'ctn1')), get_the_time('H:i:s', 'ctn1')); ?>
				<?php _e('Author: ', 'ctn1'); ?><?php the_author_posts_link() ?>
				<?php if(function_exists('the_views')) : ?> | <?php the_views(); ?><?php endif; ?>
				<?php edit_post_link(__('Edit', 'ctn1'), ' | ', ''); ?>
			</p>			

			<div class="entry">
			<?php if ($options['adpost'] && $options['adpost_code']) : ?>
				<div class="adpost"><?php echo($options['adpost_code']); ?></div>
			<?php endif; ?>
				<?php the_content('<p class="serif">' . __('Read the rest of this entry &raquo;', 'ctn1') . '</p>'); ?>
				<?php wp_link_pages(array('before' => '<p><strong>' . __('Pages:', 'ctn1') . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
			</div>

			<?php if (function_exists('wp_addbookmarks')) : ?>
				<p class="add_bookmarks"><?php wp_addbookmarks();?></p>
			<?php endif; ?>
			<?php the_tags( '<p class="posttags">' . __('Tags:', 'ctn1') . ' ', ', ', '</p>'); ?>
		</div>
		
	<?php if (function_exists('wp_related_posts')) : ?>
		<div id="related_post"><?php wp_related_posts(); ?></div>
	<?php endif; ?>
	
		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>
	<?php comments_template('', true); ?>
	<?php endwhile; else: ?>
		<h2 class="center"><?php _e('Sorry, no posts matched your criteria.', 'ctn1'); ?></h2
		><?php include (TEMPLATEPATH . "/searchform.php"); ?>>
	<?php endif; ?>
	</div>
	
	</div><!-- /content -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>